RubyGems Navigation menu

activeinteractor 1.0.2

An implementation of the Command Pattern for Ruby with ActiveModel::Validations inspired by the interactor gem. Rich support for attributes, callbacks, and validations, and thread safe performance methods.

Versions:

  1. 1.1.0 - October 04, 2020 (36 KB)
  2. 1.0.5 - September 16, 2020 (35 KB)
  3. 1.0.4 - February 11, 2020 (35 KB)
  4. 1.0.3 - February 11, 2020 (34.5 KB)
  5. 1.0.2 - February 04, 2020 (34 KB)
Show all versions (29 total)

Runtime Dependencies (2):

  • activemodel >= 4.2, < 7.0
  • activesupport >= 4.2, < 7.0
  • Development Dependencies (3):

  • bundler ~> 2.0
  • rake ~> 13.0
  • rspec ~> 3.9
  • Owners:

    Pushed by:

    Authors:

    • Aaron Allen

    SHA 256 checksum:

    fdc994fe3758efa45fcea5c40b06e8da09b61b0de1a39bf03f1e7f213f6ba873

    Total downloads 12,793

    For this version 453

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    MIT

    Required Ruby Version: >= 2.5.0

    Links: